Index: /trunk/sources/HeuristicLab.Core.Views/3.3/ParameterizedNamedItemView.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core.Views/3.3/ParameterizedNamedItemView.Designer.cs	(revision 5831)
+++ /trunk/sources/HeuristicLab.Core.Views/3.3/ParameterizedNamedItemView.Designer.cs	(revision 5832)
@@ -53,9 +53,10 @@
       this.errorProvider.SetIconAlignment(this.nameTextBox, System.Windows.Forms.ErrorIconAlignment.MiddleLeft);
       this.errorProvider.SetIconPadding(this.nameTextBox, 2);
-      this.nameTextBox.Size = new System.Drawing.Size(418, 20);
+      this.nameTextBox.Location = new System.Drawing.Point(59, 0);
+      this.nameTextBox.Size = new System.Drawing.Size(406, 20);
       // 
-      // descriptionTextBox
+      // infoLabel
       // 
-      this.descriptionTextBox.Size = new System.Drawing.Size(418, 20);
+      this.infoLabel.Location = new System.Drawing.Point(471, 3);
       // 
       // parameterCollectionView
@@ -64,9 +65,11 @@
                   | System.Windows.Forms.AnchorStyles.Left)
                   | System.Windows.Forms.AnchorStyles.Right)));
+      this.parameterCollectionView.Caption = "ParameterCollection View";
       this.parameterCollectionView.Content = null;
-      this.parameterCollectionView.Location = new System.Drawing.Point(0, 52);
+      this.parameterCollectionView.Location = new System.Drawing.Point(0, 26);
       this.parameterCollectionView.Name = "parameterCollectionView";
-      this.parameterCollectionView.Size = new System.Drawing.Size(490, 301);
-      this.parameterCollectionView.TabIndex = 4;
+      this.parameterCollectionView.ReadOnly = false;
+      this.parameterCollectionView.Size = new System.Drawing.Size(490, 327);
+      this.parameterCollectionView.TabIndex = 3;
       // 
       // ParameterizedNamedItemView
@@ -77,8 +80,7 @@
       this.Name = "ParameterizedNamedItemView";
       this.Size = new System.Drawing.Size(490, 353);
+      this.Controls.SetChildIndex(this.infoLabel, 0);
       this.Controls.SetChildIndex(this.nameTextBox, 0);
       this.Controls.SetChildIndex(this.nameLabel, 0);
-      this.Controls.SetChildIndex(this.descriptionLabel, 0);
-      this.Controls.SetChildIndex(this.descriptionTextBox, 0);
       this.Controls.SetChildIndex(this.parameterCollectionView, 0);
       ((System.ComponentModel.ISupportInitialize)(this.errorProvider)).EndInit();
Index: /trunk/sources/HeuristicLab.Core.Views/3.3/VariableView.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core.Views/3.3/VariableView.Designer.cs	(revision 5831)
+++ /trunk/sources/HeuristicLab.Core.Views/3.3/VariableView.Designer.cs	(revision 5832)
@@ -50,17 +50,18 @@
       this.errorProvider.SetIconAlignment(this.nameTextBox, System.Windows.Forms.ErrorIconAlignment.MiddleLeft);
       this.errorProvider.SetIconPadding(this.nameTextBox, 2);
-      this.nameTextBox.Size = new System.Drawing.Size(287, 20);
+      this.nameTextBox.Location = new System.Drawing.Point(69, 0);
+      this.nameTextBox.Size = new System.Drawing.Size(265, 20);
       // 
-      // descriptionTextBox
+      // infoLabel
       // 
-      this.descriptionTextBox.Size = new System.Drawing.Size(287, 20);
+      this.infoLabel.Location = new System.Drawing.Point(340, 3);
       // 
       // dataTypeLabel
       // 
       this.dataTypeLabel.AutoSize = true;
-      this.dataTypeLabel.Location = new System.Drawing.Point(3, 55);
+      this.dataTypeLabel.Location = new System.Drawing.Point(3, 29);
       this.dataTypeLabel.Name = "dataTypeLabel";
       this.dataTypeLabel.Size = new System.Drawing.Size(60, 13);
-      this.dataTypeLabel.TabIndex = 4;
+      this.dataTypeLabel.TabIndex = 3;
       this.dataTypeLabel.Text = "Data &Type:";
       // 
@@ -69,9 +70,9 @@
       this.dataTypeTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
                   | System.Windows.Forms.AnchorStyles.Right)));
-      this.dataTypeTextBox.Location = new System.Drawing.Point(72, 52);
+      this.dataTypeTextBox.Location = new System.Drawing.Point(69, 26);
       this.dataTypeTextBox.Name = "dataTypeTextBox";
       this.dataTypeTextBox.ReadOnly = true;
-      this.dataTypeTextBox.Size = new System.Drawing.Size(287, 20);
-      this.dataTypeTextBox.TabIndex = 5;
+      this.dataTypeTextBox.Size = new System.Drawing.Size(290, 20);
+      this.dataTypeTextBox.TabIndex = 4;
       // 
       // valueGroupBox
@@ -83,8 +84,8 @@
       this.valueGroupBox.Controls.Add(this.clearValueButton);
       this.valueGroupBox.Controls.Add(this.setValueButton);
-      this.valueGroupBox.Location = new System.Drawing.Point(0, 78);
+      this.valueGroupBox.Location = new System.Drawing.Point(0, 52);
       this.valueGroupBox.Name = "valueGroupBox";
-      this.valueGroupBox.Size = new System.Drawing.Size(359, 196);
-      this.valueGroupBox.TabIndex = 7;
+      this.valueGroupBox.Size = new System.Drawing.Size(359, 222);
+      this.valueGroupBox.TabIndex = 5;
       this.valueGroupBox.TabStop = false;
       this.valueGroupBox.Text = "Value";
@@ -99,18 +100,22 @@
       this.valuePanel.Location = new System.Drawing.Point(6, 49);
       this.valuePanel.Name = "valuePanel";
-      this.valuePanel.Size = new System.Drawing.Size(347, 141);
+      this.valuePanel.Size = new System.Drawing.Size(347, 167);
       this.valuePanel.TabIndex = 2;
-      this.valuePanel.DragOver += new System.Windows.Forms.DragEventHandler(this.valuePanel_DragEnterOver);
       this.valuePanel.DragDrop += new System.Windows.Forms.DragEventHandler(this.valuePanel_DragDrop);
       this.valuePanel.DragEnter += new System.Windows.Forms.DragEventHandler(this.valuePanel_DragEnterOver);
+      this.valuePanel.DragOver += new System.Windows.Forms.DragEventHandler(this.valuePanel_DragEnterOver);
       // 
       // viewHost
       // 
+      this.viewHost.Caption = "View";
       this.viewHost.Content = null;
       this.viewHost.Dock = System.Windows.Forms.DockStyle.Fill;
+      this.viewHost.Enabled = false;
       this.viewHost.Location = new System.Drawing.Point(0, 0);
       this.viewHost.Name = "viewHost";
-      this.viewHost.Size = new System.Drawing.Size(347, 141);
+      this.viewHost.ReadOnly = false;
+      this.viewHost.Size = new System.Drawing.Size(347, 167);
       this.viewHost.TabIndex = 0;
+      this.viewHost.ViewsLabelVisible = true;
       this.viewHost.ViewType = null;
       // 
@@ -132,5 +137,5 @@
       this.setValueButton.Name = "setValueButton";
       this.setValueButton.Size = new System.Drawing.Size(24, 24);
-      this.setValueButton.TabIndex = 1;
+      this.setValueButton.TabIndex = 0;
       this.toolTip.SetToolTip(this.setValueButton, "Set Value");
       this.setValueButton.UseVisualStyleBackColor = true;
@@ -146,8 +151,7 @@
       this.Name = "VariableView";
       this.Size = new System.Drawing.Size(359, 274);
-      this.Controls.SetChildIndex(this.descriptionLabel, 0);
+      this.Controls.SetChildIndex(this.infoLabel, 0);
       this.Controls.SetChildIndex(this.dataTypeTextBox, 0);
       this.Controls.SetChildIndex(this.dataTypeLabel, 0);
-      this.Controls.SetChildIndex(this.descriptionTextBox, 0);
       this.Controls.SetChildIndex(this.nameTextBox, 0);
       this.Controls.SetChildIndex(this.nameLabel, 0);
Index: /trunk/sources/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding.Views/3.3/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding.Views-3.3.csproj
===================================================================
--- /trunk/sources/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding.Views/3.3/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding.Views-3.3.csproj	(revision 5831)
+++ /trunk/sources/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding.Views/3.3/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding.Views-3.3.csproj	(revision 5832)
@@ -12,5 +12,6 @@
     <AssemblyName>HeuristicLab.Encodings.SymbolicExpressionTreeEncoding.Views-3.3</AssemblyName>
     <TargetFrameworkVersion>v4.0</TargetFrameworkVersion>
-    <TargetFrameworkProfile></TargetFrameworkProfile>
+    <TargetFrameworkProfile>
+    </TargetFrameworkProfile>
     <FileAlignment>512</FileAlignment>
     <SignAssembly>true</SignAssembly>
Index: /trunk/sources/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding.Views/3.3/SymbolView.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding.Views/3.3/SymbolView.Designer.cs	(revision 5831)
+++ /trunk/sources/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding.Views/3.3/SymbolView.Designer.cs	(revision 5832)
@@ -54,20 +54,18 @@
       this.errorProvider.SetIconAlignment(this.nameTextBox, System.Windows.Forms.ErrorIconAlignment.MiddleLeft);
       this.errorProvider.SetIconPadding(this.nameTextBox, 2);
-      this.nameTextBox.Location = new System.Drawing.Point(117, 0);
-      this.nameTextBox.Size = new System.Drawing.Size(200, 20);
+      this.nameTextBox.Location = new System.Drawing.Point(93, 0);
+      this.nameTextBox.Size = new System.Drawing.Size(202, 20);
       // 
-      // descriptionTextBox
+      // infoLabel
       // 
-      this.errorProvider.SetIconAlignment(this.descriptionTextBox, System.Windows.Forms.ErrorIconAlignment.MiddleLeft);
-      this.descriptionTextBox.Location = new System.Drawing.Point(117, 26);
-      this.descriptionTextBox.Size = new System.Drawing.Size(200, 20);
+      this.infoLabel.Location = new System.Drawing.Point(301, 3);
       // 
       // initialFrequencyLabel
       // 
       this.initialFrequencyLabel.AutoSize = true;
-      this.initialFrequencyLabel.Location = new System.Drawing.Point(3, 56);
+      this.initialFrequencyLabel.Location = new System.Drawing.Point(3, 29);
       this.initialFrequencyLabel.Name = "initialFrequencyLabel";
       this.initialFrequencyLabel.Size = new System.Drawing.Size(84, 13);
-      this.initialFrequencyLabel.TabIndex = 4;
+      this.initialFrequencyLabel.TabIndex = 3;
       this.initialFrequencyLabel.Text = "Initial frequency:";
       this.toolTip.SetToolTip(this.initialFrequencyLabel, "Relative frequency of the symbol in randomly created trees");
@@ -78,8 +76,8 @@
                   | System.Windows.Forms.AnchorStyles.Right)));
       this.errorProvider.SetIconAlignment(this.initialFrequencyTextBox, System.Windows.Forms.ErrorIconAlignment.MiddleLeft);
-      this.initialFrequencyTextBox.Location = new System.Drawing.Point(117, 53);
+      this.initialFrequencyTextBox.Location = new System.Drawing.Point(93, 26);
       this.initialFrequencyTextBox.Name = "initialFrequencyTextBox";
-      this.initialFrequencyTextBox.Size = new System.Drawing.Size(200, 20);
-      this.initialFrequencyTextBox.TabIndex = 5;
+      this.initialFrequencyTextBox.Size = new System.Drawing.Size(227, 20);
+      this.initialFrequencyTextBox.TabIndex = 4;
       this.initialFrequencyTextBox.TextChanged += new System.EventHandler(this.initialFrequencyTextBox_TextChanged);
       // 
@@ -91,11 +89,10 @@
       this.Controls.Add(this.initialFrequencyLabel);
       this.Name = "SymbolView";
-      this.Size = new System.Drawing.Size(320, 79);
+      this.Size = new System.Drawing.Size(320, 52);
+      this.Controls.SetChildIndex(this.infoLabel, 0);
+      this.Controls.SetChildIndex(this.nameTextBox, 0);
       this.Controls.SetChildIndex(this.initialFrequencyLabel, 0);
       this.Controls.SetChildIndex(this.initialFrequencyTextBox, 0);
       this.Controls.SetChildIndex(this.nameLabel, 0);
-      this.Controls.SetChildIndex(this.descriptionLabel, 0);
-      this.Controls.SetChildIndex(this.nameTextBox, 0);
-      this.Controls.SetChildIndex(this.descriptionTextBox, 0);
       ((System.ComponentModel.ISupportInitialize)(this.errorProvider)).EndInit();
       this.ResumeLayout(false);
Index: /trunk/sources/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding.Views/3.4/SymbolView.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding.Views/3.4/SymbolView.Designer.cs	(revision 5831)
+++ /trunk/sources/HeuristicLab.Encodings.SymbolicExpressionTreeEncoding.Views/3.4/SymbolView.Designer.cs	(revision 5832)
@@ -54,20 +54,18 @@
       this.errorProvider.SetIconAlignment(this.nameTextBox, System.Windows.Forms.ErrorIconAlignment.MiddleLeft);
       this.errorProvider.SetIconPadding(this.nameTextBox, 2);
-      this.nameTextBox.Location = new System.Drawing.Point(117, 0);
-      this.nameTextBox.Size = new System.Drawing.Size(200, 20);
+      this.nameTextBox.Location = new System.Drawing.Point(93, 0);
+      this.nameTextBox.Size = new System.Drawing.Size(202, 20);
       // 
-      // descriptionTextBox
+      // infoLabel
       // 
-      this.errorProvider.SetIconAlignment(this.descriptionTextBox, System.Windows.Forms.ErrorIconAlignment.MiddleLeft);
-      this.descriptionTextBox.Location = new System.Drawing.Point(117, 26);
-      this.descriptionTextBox.Size = new System.Drawing.Size(200, 20);
+      this.infoLabel.Location = new System.Drawing.Point(301, 3);
       // 
       // initialFrequencyLabel
       // 
       this.initialFrequencyLabel.AutoSize = true;
-      this.initialFrequencyLabel.Location = new System.Drawing.Point(3, 56);
+      this.initialFrequencyLabel.Location = new System.Drawing.Point(3, 29);
       this.initialFrequencyLabel.Name = "initialFrequencyLabel";
       this.initialFrequencyLabel.Size = new System.Drawing.Size(84, 13);
-      this.initialFrequencyLabel.TabIndex = 4;
+      this.initialFrequencyLabel.TabIndex = 3;
       this.initialFrequencyLabel.Text = "Initial frequency:";
       this.toolTip.SetToolTip(this.initialFrequencyLabel, "Relative frequency of the symbol in randomly created trees");
@@ -78,8 +76,8 @@
                   | System.Windows.Forms.AnchorStyles.Right)));
       this.errorProvider.SetIconAlignment(this.initialFrequencyTextBox, System.Windows.Forms.ErrorIconAlignment.MiddleLeft);
-      this.initialFrequencyTextBox.Location = new System.Drawing.Point(117, 53);
+      this.initialFrequencyTextBox.Location = new System.Drawing.Point(93, 26);
       this.initialFrequencyTextBox.Name = "initialFrequencyTextBox";
-      this.initialFrequencyTextBox.Size = new System.Drawing.Size(200, 20);
-      this.initialFrequencyTextBox.TabIndex = 5;
+      this.initialFrequencyTextBox.Size = new System.Drawing.Size(227, 20);
+      this.initialFrequencyTextBox.TabIndex = 4;
       this.initialFrequencyTextBox.TextChanged += new System.EventHandler(this.initialFrequencyTextBox_TextChanged);
       // 
@@ -91,11 +89,10 @@
       this.Controls.Add(this.initialFrequencyLabel);
       this.Name = "SymbolView";
-      this.Size = new System.Drawing.Size(320, 79);
+      this.Size = new System.Drawing.Size(320, 51);
       this.Controls.SetChildIndex(this.initialFrequencyLabel, 0);
       this.Controls.SetChildIndex(this.initialFrequencyTextBox, 0);
+      this.Controls.SetChildIndex(this.infoLabel, 0);
       this.Controls.SetChildIndex(this.nameLabel, 0);
-      this.Controls.SetChildIndex(this.descriptionLabel, 0);
       this.Controls.SetChildIndex(this.nameTextBox, 0);
-      this.Controls.SetChildIndex(this.descriptionTextBox, 0);
       ((System.ComponentModel.ISupportInitialize)(this.errorProvider)).EndInit();
       this.ResumeLayout(false);
Index: /trunk/sources/HeuristicLab.Operators.Programmable/3.3/HeuristicLab.Operators.Programmable-3.3.csproj
===================================================================
--- /trunk/sources/HeuristicLab.Operators.Programmable/3.3/HeuristicLab.Operators.Programmable-3.3.csproj	(revision 5831)
+++ /trunk/sources/HeuristicLab.Operators.Programmable/3.3/HeuristicLab.Operators.Programmable-3.3.csproj	(revision 5832)
@@ -19,5 +19,6 @@
     </UpgradeBackupLocation>
     <TargetFrameworkVersion>v4.0</TargetFrameworkVersion>
-    <TargetFrameworkProfile></TargetFrameworkProfile>
+    <TargetFrameworkProfile>
+    </TargetFrameworkProfile>
     <PublishUrl>publish\</PublishUrl>
     <Install>true</Install>
Index: /trunk/sources/HeuristicLab.Operators.Programmable/3.3/ProgrammableOperatorView.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Operators.Programmable/3.3/ProgrammableOperatorView.Designer.cs	(revision 5831)
+++ /trunk/sources/HeuristicLab.Operators.Programmable/3.3/ProgrammableOperatorView.Designer.cs	(revision 5832)
@@ -45,7 +45,7 @@
     /// </summary>
     private void InitializeComponent() {
-      System.Windows.Forms.TabPage tabPage2;
-      System.ComponentModel.ComponentResourceManager resources = new System.ComponentModel.ComponentResourceManager(typeof(ProgrammableOperatorView));
+      this.tabPage2 = new System.Windows.Forms.TabPage();
       this.splitContainer1 = new System.Windows.Forms.SplitContainer();
+      this.compilationLabel = new System.Windows.Forms.Label();
       this.splitContainer2 = new System.Windows.Forms.SplitContainer();
       this.assembliesBox = new System.Windows.Forms.GroupBox();
@@ -61,11 +61,11 @@
       this.breakpointCheckBox = new System.Windows.Forms.CheckBox();
       this.breakpointLabel = new System.Windows.Forms.Label();
-      this.compilationLabel = new System.Windows.Forms.Label();
-      tabPage2 = new System.Windows.Forms.TabPage();
       ((System.ComponentModel.ISupportInitialize)(this.errorProvider)).BeginInit();
-      tabPage2.SuspendLayout();
+      this.tabPage2.SuspendLayout();
+      ((System.ComponentModel.ISupportInitialize)(this.splitContainer1)).BeginInit();
       this.splitContainer1.Panel1.SuspendLayout();
       this.splitContainer1.Panel2.SuspendLayout();
       this.splitContainer1.SuspendLayout();
+      ((System.ComponentModel.ISupportInitialize)(this.splitContainer2)).BeginInit();
       this.splitContainer2.Panel1.SuspendLayout();
       this.splitContainer2.Panel2.SuspendLayout();
@@ -81,20 +81,21 @@
       this.errorProvider.SetIconAlignment(this.nameTextBox, System.Windows.Forms.ErrorIconAlignment.MiddleLeft);
       this.errorProvider.SetIconPadding(this.nameTextBox, 2);
-      this.nameTextBox.Size = new System.Drawing.Size(913, 20);
-      // 
-      // descriptionTextBox
-      // 
-      this.descriptionTextBox.Size = new System.Drawing.Size(913, 20);
+      this.nameTextBox.Location = new System.Drawing.Point(70, 0);
+      this.nameTextBox.Size = new System.Drawing.Size(890, 20);
+      // 
+      // infoLabel
+      // 
+      this.infoLabel.Location = new System.Drawing.Point(966, 3);
       // 
       // tabPage2
       // 
-      tabPage2.Controls.Add(this.splitContainer1);
-      tabPage2.Location = new System.Drawing.Point(4, 22);
-      tabPage2.Name = "tabPage2";
-      tabPage2.Padding = new System.Windows.Forms.Padding(3);
-      tabPage2.Size = new System.Drawing.Size(977, 596);
-      tabPage2.TabIndex = 1;
-      tabPage2.Text = "Code";
-      tabPage2.UseVisualStyleBackColor = true;
+      this.tabPage2.Controls.Add(this.splitContainer1);
+      this.tabPage2.Location = new System.Drawing.Point(4, 22);
+      this.tabPage2.Name = "tabPage2";
+      this.tabPage2.Padding = new System.Windows.Forms.Padding(3);
+      this.tabPage2.Size = new System.Drawing.Size(977, 625);
+      this.tabPage2.TabIndex = 1;
+      this.tabPage2.Text = "Code";
+      this.tabPage2.UseVisualStyleBackColor = true;
       // 
       // splitContainer1
@@ -114,13 +115,23 @@
       // 
       this.splitContainer1.Panel2.Controls.Add(this.codeEditor);
-      this.splitContainer1.Size = new System.Drawing.Size(971, 590);
+      this.splitContainer1.Size = new System.Drawing.Size(971, 619);
       this.splitContainer1.SplitterDistance = 244;
       this.splitContainer1.TabIndex = 0;
       // 
+      // compilationLabel
+      // 
+      this.compilationLabel.AutoSize = true;
+      this.compilationLabel.ForeColor = System.Drawing.SystemColors.ControlDarkDark;
+      this.compilationLabel.Location = new System.Drawing.Point(63, 9);
+      this.compilationLabel.Name = "compilationLabel";
+      this.compilationLabel.Size = new System.Drawing.Size(69, 13);
+      this.compilationLabel.TabIndex = 2;
+      this.compilationLabel.Text = "Not compiled";
+      // 
       // splitContainer2
       // 
       this.splitContainer2.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
-            | System.Windows.Forms.AnchorStyles.Left)
-            | System.Windows.Forms.AnchorStyles.Right)));
+                  | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
       this.splitContainer2.Location = new System.Drawing.Point(0, 33);
       this.splitContainer2.Name = "splitContainer2";
@@ -134,6 +145,6 @@
       // 
       this.splitContainer2.Panel2.Controls.Add(this.namespacesBox);
-      this.splitContainer2.Size = new System.Drawing.Size(242, 560);
-      this.splitContainer2.SplitterDistance = 278;
+      this.splitContainer2.Size = new System.Drawing.Size(242, 589);
+      this.splitContainer2.SplitterDistance = 292;
       this.splitContainer2.TabIndex = 2;
       // 
@@ -144,6 +155,6 @@
       this.assembliesBox.Location = new System.Drawing.Point(0, 0);
       this.assembliesBox.Name = "assembliesBox";
-      this.assembliesBox.Size = new System.Drawing.Size(242, 278);
-      this.assembliesBox.TabIndex = 1;
+      this.assembliesBox.Size = new System.Drawing.Size(242, 292);
+      this.assembliesBox.TabIndex = 0;
       this.assembliesBox.TabStop = false;
       this.assembliesBox.Text = "Assemblies";
@@ -155,5 +166,5 @@
       this.assembliesTreeView.Location = new System.Drawing.Point(3, 16);
       this.assembliesTreeView.Name = "assembliesTreeView";
-      this.assembliesTreeView.Size = new System.Drawing.Size(236, 259);
+      this.assembliesTreeView.Size = new System.Drawing.Size(236, 273);
       this.assembliesTreeView.TabIndex = 0;
       this.assembliesTreeView.AfterCheck += new System.Windows.Forms.TreeViewEventHandler(this.assembliesTreeView_AfterCheck);
@@ -165,6 +176,6 @@
       this.namespacesBox.Location = new System.Drawing.Point(0, 0);
       this.namespacesBox.Name = "namespacesBox";
-      this.namespacesBox.Size = new System.Drawing.Size(242, 278);
-      this.namespacesBox.TabIndex = 1;
+      this.namespacesBox.Size = new System.Drawing.Size(242, 293);
+      this.namespacesBox.TabIndex = 0;
       this.namespacesBox.TabStop = false;
       this.namespacesBox.Text = "Namespaces";
@@ -177,5 +188,5 @@
       this.namespacesTreeView.Name = "namespacesTreeView";
       this.namespacesTreeView.PathSeparator = ".";
-      this.namespacesTreeView.Size = new System.Drawing.Size(236, 259);
+      this.namespacesTreeView.Size = new System.Drawing.Size(236, 274);
       this.namespacesTreeView.TabIndex = 0;
       this.namespacesTreeView.AfterCheck += new System.Windows.Forms.TreeViewEventHandler(this.namespacesTreeView_AfterCheck);
@@ -187,5 +198,5 @@
       this.showCodeButton.Name = "showCodeButton";
       this.showCodeButton.Size = new System.Drawing.Size(24, 24);
-      this.showCodeButton.TabIndex = 0;
+      this.showCodeButton.TabIndex = 1;
       this.showCodeButton.TextImageRelation = System.Windows.Forms.TextImageRelation.ImageBeforeText;
       this.toolTip.SetToolTip(this.showCodeButton, "Show generated code");
@@ -199,5 +210,5 @@
       this.compileButton.Name = "compileButton";
       this.compileButton.Size = new System.Drawing.Size(24, 24);
-      this.compileButton.TabIndex = 1;
+      this.compileButton.TabIndex = 0;
       this.compileButton.TextImageRelation = System.Windows.Forms.TextImageRelation.ImageBeforeText;
       this.toolTip.SetToolTip(this.compileButton, "Compile (F6)");
@@ -211,5 +222,5 @@
       this.codeEditor.Name = "codeEditor";
       this.codeEditor.Prefix = "";
-      this.codeEditor.Size = new System.Drawing.Size(723, 590);
+      this.codeEditor.Size = new System.Drawing.Size(723, 619);
       this.codeEditor.Suffix = "";
       this.codeEditor.TabIndex = 0;
@@ -219,14 +230,15 @@
       // tabControl1
       // 
+      this.tabControl1.AllowDrop = true;
       this.tabControl1.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
-            | System.Windows.Forms.AnchorStyles.Left)
-            | System.Windows.Forms.AnchorStyles.Right)));
+                  | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
       this.tabControl1.Controls.Add(this.tabPage1);
-      this.tabControl1.Controls.Add(tabPage2);
-      this.tabControl1.Location = new System.Drawing.Point(0, 75);
+      this.tabControl1.Controls.Add(this.tabPage2);
+      this.tabControl1.Location = new System.Drawing.Point(0, 46);
       this.tabControl1.Name = "tabControl1";
       this.tabControl1.SelectedIndex = 0;
-      this.tabControl1.Size = new System.Drawing.Size(985, 622);
-      this.tabControl1.TabIndex = 7;
+      this.tabControl1.Size = new System.Drawing.Size(985, 651);
+      this.tabControl1.TabIndex = 5;
       // 
       // tabPage1
@@ -236,5 +248,5 @@
       this.tabPage1.Name = "tabPage1";
       this.tabPage1.Padding = new System.Windows.Forms.Padding(3);
-      this.tabPage1.Size = new System.Drawing.Size(977, 596);
+      this.tabPage1.Size = new System.Drawing.Size(977, 625);
       this.tabPage1.TabIndex = 0;
       this.tabPage1.Text = "Parameters";
@@ -249,5 +261,5 @@
       this.parameterCollectionView.Name = "parameterCollectionView";
       this.parameterCollectionView.ReadOnly = false;
-      this.parameterCollectionView.Size = new System.Drawing.Size(971, 590);
+      this.parameterCollectionView.Size = new System.Drawing.Size(971, 619);
       this.parameterCollectionView.TabIndex = 0;
       // 
@@ -255,8 +267,8 @@
       // 
       this.breakpointCheckBox.AutoSize = true;
-      this.breakpointCheckBox.Location = new System.Drawing.Point(72, 52);
+      this.breakpointCheckBox.Location = new System.Drawing.Point(70, 26);
       this.breakpointCheckBox.Name = "breakpointCheckBox";
       this.breakpointCheckBox.Size = new System.Drawing.Size(15, 14);
-      this.breakpointCheckBox.TabIndex = 8;
+      this.breakpointCheckBox.TabIndex = 4;
       this.breakpointCheckBox.UseVisualStyleBackColor = true;
       this.breakpointCheckBox.CheckedChanged += new System.EventHandler(this.breakpointCheckBox_CheckedChanged);
@@ -265,19 +277,9 @@
       // 
       this.breakpointLabel.AutoSize = true;
-      this.breakpointLabel.Location = new System.Drawing.Point(3, 52);
+      this.breakpointLabel.Location = new System.Drawing.Point(3, 26);
       this.breakpointLabel.Name = "breakpointLabel";
       this.breakpointLabel.Size = new System.Drawing.Size(61, 13);
-      this.breakpointLabel.TabIndex = 9;
+      this.breakpointLabel.TabIndex = 3;
       this.breakpointLabel.Text = "Breakpoint:";
-      // 
-      // compilationLabel
-      // 
-      this.compilationLabel.AutoSize = true;
-      this.compilationLabel.ForeColor = System.Drawing.SystemColors.ControlDarkDark;
-      this.compilationLabel.Location = new System.Drawing.Point(63, 9);
-      this.compilationLabel.Name = "compilationLabel";
-      this.compilationLabel.Size = new System.Drawing.Size(67, 13);
-      this.compilationLabel.TabIndex = 3;
-      this.compilationLabel.Text = "Not compiled";
       // 
       // ProgrammableOperatorView
@@ -286,23 +288,24 @@
       this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
       this.Controls.Add(this.tabControl1);
+      this.Controls.Add(this.breakpointLabel);
       this.Controls.Add(this.breakpointCheckBox);
-      this.Controls.Add(this.breakpointLabel);
       this.Name = "ProgrammableOperatorView";
       this.Size = new System.Drawing.Size(985, 697);
+      this.Controls.SetChildIndex(this.breakpointCheckBox, 0);
       this.Controls.SetChildIndex(this.breakpointLabel, 0);
-      this.Controls.SetChildIndex(this.breakpointCheckBox, 0);
+      this.Controls.SetChildIndex(this.infoLabel, 0);
+      this.Controls.SetChildIndex(this.nameLabel, 0);
       this.Controls.SetChildIndex(this.tabControl1, 0);
       this.Controls.SetChildIndex(this.nameTextBox, 0);
-      this.Controls.SetChildIndex(this.nameLabel, 0);
-      this.Controls.SetChildIndex(this.descriptionLabel, 0);
-      this.Controls.SetChildIndex(this.descriptionTextBox, 0);
       ((System.ComponentModel.ISupportInitialize)(this.errorProvider)).EndInit();
-      tabPage2.ResumeLayout(false);
+      this.tabPage2.ResumeLayout(false);
       this.splitContainer1.Panel1.ResumeLayout(false);
       this.splitContainer1.Panel1.PerformLayout();
       this.splitContainer1.Panel2.ResumeLayout(false);
+      ((System.ComponentModel.ISupportInitialize)(this.splitContainer1)).EndInit();
       this.splitContainer1.ResumeLayout(false);
       this.splitContainer2.Panel1.ResumeLayout(false);
       this.splitContainer2.Panel2.ResumeLayout(false);
+      ((System.ComponentModel.ISupportInitialize)(this.splitContainer2)).EndInit();
       this.splitContainer2.ResumeLayout(false);
       this.assembliesBox.ResumeLayout(false);
@@ -332,4 +335,5 @@
     private System.Windows.Forms.Label compilationLabel;
     private System.Windows.Forms.Label breakpointLabel;
+    private System.Windows.Forms.TabPage tabPage2;
   }
 }
